#-------------------------------------------------
#
# Project created by QtCreator 2016-02-09T21:27:28
#
#-------------------------------------------------

QT       += widgets sql

QT       -= gui

TARGET = addressbook
TEMPLATE = lib

DEFINES += ADDRESSBOOK_LIBRARY

SOURCES += addressbook.cpp \
    data/addressbookdata.cpp \
    addressbookform.cpp \
    addressbookgrid.cpp \
    addressbooktablemodel.cpp \
    addressbookservice.cpp

HEADERS += addressbook.h\
        addressbook_global.h \
    data/addressbookdata.h \
    addressbookform.h \
    addressbookgrid.h \
    addressbooktablemodel.h \
    addressbookservice.h

include(../config_plugin.pri)

ODB_FILES = addressbook/data/addressbookdata.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

OTHER_FILES += \
    addressbook.json

FORMS += \
    addressbookform.ui

RESOURCES += \
    addressbookrc.qrc
TRANSLATIONS = translations/addressbook_cs_CZ.ts
